QGIS Application - Bug report #11332
qgis crashes when refreshing a composer html item following URL change
2014-10-05 07:06 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 19626
Description

Tweaking the URL value of a composer html item followed by a click on its "Refresh HTML" button will make QGIS crash.
Steps to reproduce crasher:

1. Create a new project, and open a new composer window

2. Add an HTML item onto the composer sheet

3. Mouse click on the URL textbox and set its value to "http:/ja.wikipedia.org/wiki/"

4. Immediately click on the "Refresh HTML" button (so focus will go from the textbox to the button)

5. Once the page shows up, mouse click on the URL textbox and set its value to "http:/ja.m.wikipedia.org/wiki/"

6. Immediately click on the "Refresh HTML button

7. At this stage, QGIS should freeze and shortly after crash; if not, change the URL value back to the first URL string, click refresh, and
repeat until it crashes (it never takes more than 2 to 3 times here)

Associated revisions

Revision ac71e600 - 2014-10-09 01:56 PM - Nyall Dawson

Cancel running requests when loading content in QgsNetworkContentFetcher (fix #11332)

History

#1 - 2014-10-05 11:59 PM - Giovanni Manghi
- Status changed from Open to Feedback

I'm trying hard here on Ubuntu 14.04/master, but cannot replicate.

#2 - 2014-10-09 04:12 AM - Nyall Dawson

verified - working on a fix

#3 - 2014-10-09 04:12 AM - Nyall Dawson
- Status changed from Feedback to Open

#4 - 2014-10-09 05:29 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"ac71e600a2d3bfe40b46295a2bbb703716442bfa".
